<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>PYDECHA &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=cb25574f" />
    <script src="../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Installation" href="installation.html" />
    <link rel="prev" title="Welcome to pydecha’s documentation!" href="../index.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="pydecha">
<h1>PYDECHA<a class="headerlink" href="#pydecha" title="Link to this heading">¶</a></h1>
<section id="overview">
<h2>Overview<a class="headerlink" href="#overview" title="Link to this heading">¶</a></h2>
<p>PYthon DEtector CHAracterization</p>
<dl class="field-list simple">
<dt class="field-odd">Authors<span class="colon">:</span></dt>
<dd class="field-odd"><p>Benoit Serra [ESO]</p>
</dd>
<dt class="field-even">Version<span class="colon">:</span></dt>
<dd class="field-even"><p>0.2</p>
</dd>
</dl>
<p>This documentation covers the setup and operation of the PYDECHA analysis
tool developed for the detector group (DESY) at ESO.
The goal is to provide an up-to-date documentation of validated modules
for the data analysis of detectors.</p>
<p>The idea behind the development of PYDECHA is to provide a framework for
the characterization that will allow the user to keep track of which pydecha
version had been used for a specific characterization run.</p>
</section>
<section id="actions">
<h2>Actions<a class="headerlink" href="#actions" title="Link to this heading">¶</a></h2>
<p>PYDECHA consist of three different action blocks:</p>
<dl class="simple">
<dt>Acquisition</dt><dd><p>The acquisition block aims to offer a convenient python interface
to interact with the Linux Local Control Unit (LLCU) of the New General
Controller (NGC).
This application is very specific to ESO needs and the goal is to provide
a complete control and logging of every operation done with the NGC.
Another application is to automatize the process of characterization.
This block is currently NOT tested and will be released in version 2.0
of PYDECHA.</p>
</dd>
<dt>Analysis</dt><dd><p>The analysis block aims to mimic a full pipelines of data reduction
for data analysis of characterization data of the detectors.
The block consist of a serie of analysis modules that will successively
executed where the maximum of information of the process will be saved.
This block is currently in tests and will be released in version 1.0
of PYDECHA.</p>
</dd>
<dt>Reporting</dt><dd><p>The reporting block aims to provide an automation tool for report
generation. This block will be highly dependent of the analysis results
but some functions will offer a certain modularity in the process of
report generation.
All reporting output will be standardized for every detector.
This block is currently NOT developed and will be released in version 3.0
of PYDECHA.</p>
</dd>
</dl>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">PYDECHA</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#overview">Overview</a></li>
<li class="toctree-l2"><a class="reference internal" href="#actions">Actions</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules/new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_cmos.html">Modules CMOS</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="../index.html" title="previous chapter">Welcome to pydecha’s documentation!</a></li>
      <li>Next: <a href="installation.html" title="next chapter">Installation</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../_sources/introduction/pydecha.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>